BytecodeInterface8 (Groovy 5.0.0)

Package: org.codehaus.groovy.runtime

## [Java] Class BytecodeInterface8

- org.codehaus.groovy.runtime.BytecodeInterface8

-     public class BytecodeInterface8
      extends Object

  This class contains methods special to optimizations used directly from bytecode in Groovy 1.8

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public static byte` | `bArrayGet(byte[] a, int i)` Gets value from byte[] using normalized index.
    `` | `public static void` | `bArraySet(byte[] a, int i, byte v)` Sets value into byte[] using normalized index.
    `` | `public static char` | `cArrayGet(char[] a, int i)` Gets value from char[] using normalized index.
    `` | `public static void` | `cArraySet(char[] a, int i, char v)` Sets value into char[] using normalized index.
    `` | `public static double` | `dArrayGet(double[] a, int i)` Gets value from double[] using normalized index.
    `` | `public static void` | `dArraySet(double[] a, int i, double v)` Sets value into double[] using normalized index.
    `` | `public static boolean` | `disabledStandardMetaClass()`
    `` | `public static float` | `fArrayGet(float[] a, int i)` Gets value from float[] using normalized index.
    `` | `public static void` | `fArraySet(float[] a, int i, float v)` Sets value into float[] using normalized index.
    `` | `public static int` | `intArrayGet(int[] a, int i)` Gets value from int[] using normalized index.
    `` | `public static void` | `intArraySet(int[] a, int i, int v)` Sets value into int[] using normalized index.
    `` | `public static boolean` | `isOrigB()` Returns: true if byte has its default MetaClass
    `` | `public static boolean` | `isOrigBArray()` Returns: true if byte array has its default MetaClass
    `` | `public static boolean` | `isOrigC()` Returns: true if char has its default MetaClass
    `` | `public static boolean` | `isOrigCArray()` Returns: true if char array has its default MetaClass
    `` | `public static boolean` | `isOrigD()` Returns: true if double has its default MetaClass
    `` | `public static boolean` | `isOrigDArray()` Returns: true if double array has its default MetaClass
    `` | `public static boolean` | `isOrigF()` Returns: true if float has its default MetaClass
    `` | `public static boolean` | `isOrigFArray()` Returns: true if float array has its default MetaClass
    `` | `public static boolean` | `isOrigInt()` Returns: true if integer has its default MetaClass
    `` | `public static boolean` | `isOrigIntArray()` Returns: true if integer array has its default MetaClass
    `` | `public static boolean` | `isOrigL()` Returns: true if long has its default MetaClass
    `` | `public static boolean` | `isOrigLArray()` Returns: true if long array has its default MetaClass
    `` | `public static boolean` | `isOrigS()` Returns: true if short has its default MetaClass
    `` | `public static boolean` | `isOrigSArray()` Returns: true if short array has its default MetaClass
    `` | `public static boolean` | `isOrigZ()` Returns: true if boolean has its default MetaClass
    `` | `public static boolean` | `isOrigZArray()` Returns: true if boolean array has its default MetaClass
    `` | `public static long` | `lArrayGet(long[] a, int i)` Gets value from long[] using normalized index.
    `` | `public static void` | `lArraySet(long[] a, int i, long v)` Sets value into long[] using normalized index.
    `` | `public static Object` | `objectArrayGet(Object[] a, int i)` Gets value from Object[] using normalized index.
    `` | `public static void` | `objectArraySet(Object[] a, int i, Object v)` Sets value into Object[] using normalized index.
    `` | `public static short` | `sArrayGet(short[] a, int i)` Gets value from short[] using normalized index.
    `` | `public static void` | `sArraySet(short[] a, int i, short v)` Sets value into short[] using normalized index.
    `` | `public static boolean` | `zArrayGet(boolean[] a, int i)` Gets value from boolean[] using normalized index.
    `` | `public static void` | `zArraySet(boolean[] a, int i, boolean v)` Sets value into boolean[] using normalized index.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### public static byte bArrayGet(byte[] a, int i)

      Gets value from byte[] using normalized index.

    - #### public static void bArraySet(byte[] a, int i, byte v)

      Sets value into byte[] using normalized index.

    - #### public static char cArrayGet(char[] a, int i)

      Gets value from char[] using normalized index.

    - #### public static void cArraySet(char[] a, int i, char v)

      Sets value into char[] using normalized index.

    - #### public static double dArrayGet(double[] a, int i)

      Gets value from double[] using normalized index.

    - #### public static void dArraySet(double[] a, int i, double v)

      Sets value into double[] using normalized index.

    - #### public static boolean disabledStandardMetaClass()

    - #### public static float fArrayGet(float[] a, int i)

      Gets value from float[] using normalized index.

    - #### public static void fArraySet(float[] a, int i, float v)

      Sets value into float[] using normalized index.

    - #### public static int intArrayGet(int[] a, int i)

      Gets value from int[] using normalized index.

    - #### public static void intArraySet(int[] a, int i, int v)

      Sets value into int[] using normalized index.

    - #### public static boolean isOrigB()

      Returns:
        true if byte has its default MetaClass

    - #### public static boolean isOrigBArray()

      Returns:
        true if byte array has its default MetaClass

    - #### public static boolean isOrigC()

      Returns:
        true if char has its default MetaClass

    - #### public static boolean isOrigCArray()

      Returns:
        true if char array has its default MetaClass

    - #### public static boolean isOrigD()

      Returns:
        true if double has its default MetaClass

    - #### public static boolean isOrigDArray()

      Returns:
        true if double array has its default MetaClass

    - #### public static boolean isOrigF()

      Returns:
        true if float has its default MetaClass

    - #### public static boolean isOrigFArray()

      Returns:
        true if float array has its default MetaClass

    - #### public static boolean isOrigInt()

      Returns:
        true if integer has its default MetaClass

    - #### public static boolean isOrigIntArray()

      Returns:
        true if integer array has its default MetaClass

    - #### public static boolean isOrigL()

      Returns:
        true if long has its default MetaClass

    - #### public static boolean isOrigLArray()

      Returns:
        true if long array has its default MetaClass

    - #### public static boolean isOrigS()

      Returns:
        true if short has its default MetaClass

    - #### public static boolean isOrigSArray()

      Returns:
        true if short array has its default MetaClass

    - #### public static boolean isOrigZ()

      Returns:
        true if boolean has its default MetaClass

    - #### public static boolean isOrigZArray()

      Returns:
        true if boolean array has its default MetaClass

    - #### public static long lArrayGet(long[] a, int i)

      Gets value from long[] using normalized index.

    - #### public static void lArraySet(long[] a, int i, long v)

      Sets value into long[] using normalized index.

    - #### public static Object objectArrayGet(Object[] a, int i)

      Gets value from Object[] using normalized index.

    - #### public static void objectArraySet(Object[] a, int i, Object v)

      Sets value into Object[] using normalized index.

    - #### public static short sArrayGet(short[] a, int i)

      Gets value from short[] using normalized index.

    - #### public static void sArraySet(short[] a, int i, short v)

      Sets value into short[] using normalized index.

    - #### public static boolean zArrayGet(boolean[] a, int i)

      Gets value from boolean[] using normalized index.

    - #### public static void zArraySet(boolean[] a, int i, boolean v)

      Sets value into boolean[] using normalized index.